# vim:tw=0:ts=4:sw=4:et

%define major 1
%define minor 0
%define sub 4
%define extralevel %{nil}
%define release_name firmware-usb-autoupdate
%define release_version %{major}.%{minor}.%{sub}%{extralevel}
%define rpm_release 1

# per fedora python packaging guidelines
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           firmware-usb-autoupdate
Version:        %{release_version} 
Release:        1.1
Summary:        Automatically update BIOS when USB Key with update is inserted

Group:          Applications/System
# License is actually GPL/OSL dual license (GPL Compatible), but rpmlint complains
License:        GPLv2+
URL:            http://linux.dell.com/libsmbios/download/ 
Source0:        http://linux.dell.com/libsmbios/download/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# SUSE doesnt have noarch python, so for SUSE, always build arch-dependent
%if ! 0%{?suse_version}
BuildArch:      noarch
%endif

%if 0%{?suse_version} != 900
BuildRequires: desktop-file-utils
%endif
BuildRequires:  python-devel, rpm-python
BuildRequires: gettext
Requires: rpm-python
Requires: desktop-file-utils

%if 0%{?suse_version}>=1100
# Added to dbus-1, filesystem and hal to handle the directory ownership problems
BuildRequires: update-desktop-files dbus-1 filesystem hal
%endif

%description
Provides HAL framework for detecting USB key insertion, finding BIOS updates
on the USB key, and updating the BIOS automatically. Can also be configured
to ask the user for confirmation.

%prep
%setup -q

%build
# this line lets us build an RPM directly from a git tarball
[ -e ./configure ] || ./autogen.sh

%configure
make -e %{?_smp_mflags} 

%if 0%{?sletc}
perl -p -i -e 's|(/usr/sbin/bios-update-config)|sudo run-admin \1|;' etc/bios-update-config.desktop
%endif

%check
make -e %{?_smp_mflags} check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"
desktop-file-install --vendor="" --dir=$RPM_BUILD_ROOT/%{_datadir}/applications  etc/bios-update-notify.desktop
desktop-file-install --vendor="" --dir=$RPM_BUILD_ROOT/%{_datadir}/applications  etc/bios-update-config.desktop

%if 0%{?suse_version}>=1100
# To handle the "No sufficient category definition" problems.
%suse_update_desktop_file bios-update-notify System HardwareSettings
%suse_update_desktop_file bios-update-config System HardwareSettings
%endif

%find_lang %{name}

%if 0%{?sletc}
mkdir -p $RPM_BUILD_ROOT/etc/userlevel/admin-apps.d
ln -s /usr/sbin/bios-update-config $RPM_BUILD_ROOT/etc/userlevel/admin-apps.d
desktop-file-install --vendor="" --dir=$RPM_BUILD_ROOT/opt/gnome/share/gnome/autostart  etc/bios-update-background-notify.desktop
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
#%doc COPYING-GPL COPYING-OSL COPYING.LIB README
%if 0%{?suse_version}>=1100
%dir /etc/firmware
%endif
%{python_sitelib}/*
%{_datadir}/hal/fdi/policy/20thirdparty/10-dell-bios-update.fdi
%attr(0755,root,root) %{_sbindir}/*
%attr(0755,root,root) %{_libdir}/hal/scripts/hal-dell-bios-autoupdate-from-usb
%config(noreplace) %{_sysconfdir}/firmware/bios-update.ini
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/firmware-usb-autoupdate.conf
%{_datadir}/applications/*.desktop

%if 0%{?sletc}
%{_sysconfdir}/userlevel/admin-apps.d/*
/opt/gnome/share/gnome/autostart/*
%endif


%changelog
* Mon Jul 16 2008 Michael E Brown <michael_e_brown at dell.com> - 1.0.0-1
- Fedora-compliant packaging changes.
